import serial
import time

# Configuração da porta serial e taxa de comunicação
arduino = serial.Serial('COM8', 9600)  # Porta COM8 e baud rate de 9600
time.sleep(2)  # Aguardar a inicialização do Arduino

print("Digite 'A' para acender o LED e 'a' para apagar o LED.")
while True:
    comando = input("Digite o comando: ")

    if comando == 'A':  # Enviar comando para acender o LED
        arduino.write(b'A')  # Enviar byte 'A' para o Arduino
        print("LED aceso.")
    elif comando == 'a':  # Enviar comando para apagar o LED
        arduino.write(b'a')  # Enviar byte 'a' para o Arduino
        print("LED apagado.")
    else:
        print("Comando inválido, use 'A' para acender e 'a' para apagar.")
